org.apache.solr.client.solrj.io.eval

## Interface ManyValueWorker

All Superinterfaces:
  ValueWorker

All Known Implementing Classes:
  AddEvaluator, AkimaEvaluator, AndEvaluator, AnovaEvaluator, AppendEvaluator, ArrayEvaluator, BicubicSplineEvaluator, BinomialCoefficientEvaluator, CoalesceEvaluator, ConvexHullEvaluator, CopyOfEvaluator, CopyOfRangeEvaluator, CorrelationEvaluator, CovarianceEvaluator, DistanceEvaluator, EmpiricalDistributionEvaluator, EnclosingDiskEvaluator, EnumeratedDistributionEvaluator, EqualToEvaluator, ExclusiveOrEvaluator, ExponentialMovingAverageEvaluator, FrequencyTableEvaluator, GaussFitEvaluator, GetCacheEvaluator, GreaterThanEqualToEvaluator, GreaterThanEvaluator, HarmonicFitEvaluator, HistogramEvaluator, IfThenElseEvaluator, IntegrateEvaluator, KnnEvaluator, KnnRegressionEvaluator, LatLonVectorsEvaluator, LerpEvaluator, LessThanEqualToEvaluator, LessThanEvaluator, ListCacheEvaluator, LoessEvaluator, MannWhitneyUEvaluator, MarkovChainEvaluator, MatrixEvaluator, MinMaxScaleEvaluator, MultiKmeansEvaluator, MultiplyEvaluator, NormalizeSumEvaluator, OLSRegressionEvaluator, OrEvaluator, OscillateEvaluator, OutliersEvaluator, PivotEvaluator, PolyFitDerivativeEvaluator, PolyFitEvaluator, PredictEvaluator, PrimesEvaluator, ProbabilityEvaluator, PutCacheEvaluator, RemoveCacheEvaluator, SampleEvaluator, SequenceEvaluator, SetValueEvaluator, SplineEvaluator, SubtractEvaluator, TermVectorsEvaluator, TimeDifferencingEvaluator, TriangularDistributionEvaluator, ValueAtEvaluator

    public interface ManyValueWorker
    extends ValueWorker

### Method Summary

All Methods Instance Methods Abstract Methods
`Object` `doWork(Object... values)`

### Method Detail

#### doWork

    Object doWork(Object... values)
           throws IOException

Specified by:
  `doWork` in interface `ValueWorker`
Throws:
  `IOException`